org.apache.solr.client.solrj.io.eval

## Interface StreamEvaluator

All Superinterfaces:
  Expressible, Serializable

All Known Implementing Classes:
  AbsoluteValueEvaluator, AddEvaluator, AndEvaluator, BooleanEvaluator, ComplexEvaluator, ConditionalEvaluator, DivideEvaluator, EqualsEvaluator, ExclusiveOrEvaluator, FieldEvaluator, GreaterThanEqualToEvaluator, GreaterThanEvaluator, IfThenElseEvaluator, LessThanEqualToEvaluator, LessThanEvaluator, MultiplyEvaluator, NaturalLogEvaluator, NotEvaluator, NumberEvaluator, OrEvaluator, RawValueEvaluator, SimpleEvaluator, SubtractEvaluator

    public interface StreamEvaluator
    extends Expressible, Serializable

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `evaluate(Tuple tuple)`

### Methods inherited from interface org.apache.solr.client.solrj.io.stream.expr.Expressible

`toExplanation, toExpression`

### Method Detail

#### evaluate

    Object evaluate(Tuple tuple)
             throws IOException

Throws:
  `IOException`